diff -urN multipath-0.0.16.1/ChangeLog multipath-0.0.16.2/ChangeLog
--- multipath-0.0.16.1/ChangeLog	2004-02-05 15:07:36.000000000 +0100
+++ multipath-0.0.16.2/ChangeLog	2004-02-05 15:13:37.000000000 +0100
@@ -1,4 +1,5 @@
 2004-02-04 multipath-016
+	* remove make_dm_node fn & call. Rely on udev for this.
 	* don't rely on the linux symlink in the udev/klibc dir since
 	  udev build doesn't use it anymore. This corrects build breakage
 2004-01-19 multipath-013
diff -urN multipath-0.0.16.1/main.c multipath-0.0.16.2/main.c
--- multipath-0.0.16.1/main.c	2004-01-22 01:55:45.000000000 +0100
+++ multipath-0.0.16.2/main.c	2004-02-05 15:10:46.000000000 +0100
@@ -559,46 +559,6 @@
 }
 
 static int
-make_dm_node(char * str)
-{
-	int r = 0;
-	char buff[FILE_NAME_SIZE];
-	struct dm_names * names;
-        unsigned next = 0;
-	struct dm_task *dmt;
-
-	if (!(dmt = dm_task_create(DM_DEVICE_LIST)))
-		return 0;
-
-	if (!dm_task_run(dmt))
-		goto out;
-
-	if (!(names = dm_task_get_names(dmt)))
-		goto out;
-
-	if (!names->dev) {
-		r = 1;
-		goto out;
-	}
-
-        do {
-		if (0 == strcmp(names->name, str))
-			break;
-                next = names->next;
-                names = (void *) names + next;
-        } while (next);
-
-	sprintf(buff, "/dev/mapper/%s", str);
-	unlink(buff);
-	mknod(buff, 0600 | S_IFBLK, names->dev);
-
-	out:
-	dm_task_destroy(dmt);
-	return r;
-
-}
-
-static int
 dm_simplecmd(int task, const char *name) {
 	int r = 0;
 	struct dm_task *dmt;
@@ -711,7 +671,6 @@
 	if (op == DM_DEVICE_RELOAD)
 		dm_simplecmd(DM_DEVICE_RESUME, mp[index].wwid);
 
-	make_dm_node(mp[index].wwid);
 	return 1;
 }
 
